Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class UserOptionsDefaultPage

Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.preference.PreferencePage
hdf.view.dialog.UserOptionsDefaultPage

All Implemented Interfaces:
  `org.eclipse.jface.dialogs.IDialogPage`, `org.eclipse.jface.dialogs.IMessageProvider`, `org.eclipse.jface.preference.IPreferencePage`

Direct Known Subclasses:
  `UserOptionsGeneralPage`, `UserOptionsHDFPage`, `UserOptionsViewModulesPage`

public abstract class UserOptionsDefaultPage extends org.eclipse.jface.preference.PreferencePage
`UserOptionsDefaultPage` extends `PreferencePage` to display the default button images for the ok, cancel, apply and defaults button. All configuration pages that need finer control on the created editor `Controls` should inherit this class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected org.eclipse.swt.graphics.Font`
  `curFont`
  The setting of the current font
  `protected String`
  `rootDir`
  The setting of the root directory
  `protected org.eclipse.swt.widgets.Shell`
  `shell`
  The reference to the visual shell

  ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

  `ERROR, INFORMATION, NONE, WARNING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserOptionsDefaultPage()`
  `UserOptionsDefaultPage` default constructor.
  `UserOptionsDefaultPage(String title)`
  Creates a new abstract `UserOptionsDefaultPage` with the given title.
  `UserOptionsDefaultPage(String title, org.eclipse.jface.resource.ImageDescriptor image)`
  Creates a new abstract `UserOptionsDefaultPage` with the given title and image.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createControl(org.eclipse.swt.widgets.Composite parent)`

  ### Methods inherited from class org.eclipse.jface.preference.PreferencePage

  `applyData, applyDialogFont, computeSize, contributeButtons, createContents, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, noDefaultButton, okToLeave, performApply, performCancel, performDefaults, performHelp, performOk, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

  ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

  `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

  `dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, setDescription, setImageDescriptor, setVisible`

- ## Field Details

  - ### shell

    protected org.eclipse.swt.widgets.Shell shell
    The reference to the visual shell

  - ### curFont

    protected org.eclipse.swt.graphics.Font curFont
    The setting of the current font

  - ### rootDir

    protected String rootDir
    The setting of the root directory

- ## Constructor Details

  - ### UserOptionsDefaultPage

    public UserOptionsDefaultPage()
    `UserOptionsDefaultPage` default constructor.

  - ### UserOptionsDefaultPage

    public UserOptionsDefaultPage(String title)
    Creates a new abstract `UserOptionsDefaultPage` with the given title.
    Parameters:
      `title` - the page title

  - ### UserOptionsDefaultPage

    public UserOptionsDefaultPage(String title, org.eclipse.jface.resource.ImageDescriptor image)
    Creates a new abstract `UserOptionsDefaultPage` with the given title and image.
    Parameters:
      `title` - the page title
      `image` - the image for this page, or `null` if none

- ## Method Details

  - ### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)
    Specified by:
      `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
    Overrides:
      `createControl` in class `org.eclipse.jface.preference.PreferencePage`